Bug 825860 - hydra 7.3-9 binaries stripped too early
hydra 7.3-9 binaries stripped too early
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hydra (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Athmane Madjoudj
Fedora Extras Quality Assurance
: Patch, Regression
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2012-05-28 14:54 EDT by Ville Skyttä
Modified: 2012-06-06 22:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 22:55:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2012-05-28 14:54:22 EDT
hydra 7.3-9's build strips binaries too early thus breaking -debuginfo, fix below.  Also removes unnecessary setting of CFLAGS to optflags - the %configure macro does that anyway.

--- a/hydra.spec
+++ b/hydra.spec
@@ -40,4 +40,4 @@ This package includes xhydra, a GTK+ front end for hydra.
 %build
-export CFLAGS="%{optflags}" BINDIR=%{_bindir}
-%configure  
+export BINDIR=%{_bindir}
+%configure --nostrip
 make %{?_smp_mflags}
Comment 1 Fedora Update System 2012-05-28 16:42:16 EDT
hydra-7.3-10.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/hydra-7.3-10.fc17
Comment 2 Fedora Update System 2012-05-28 16:57:06 EDT
hydra-7.3-10.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/hydra-7.3-10.fc16
Comment 3 Athmane Madjoudj 2012-05-28 17:01:17 EDT
Thank you Ville, the issue should be fixed in 7.3-10
Comment 4 Michal Ambroz 2012-05-28 18:12:01 EDT
sorry - my fault, I have not catched that one during review.
Comment 5 Athmane Madjoudj 2012-05-28 18:47:54 EDT
Note that --nostrip was added in hydra 7.3 just for Fedora and I forget to use it, I'll be more careful next time.


CHANGELOG for 7.3
=================

<...SNIP...>

 * configure script:
     - Added fix Oracle library inclusion, thanks to Brandon Archer!
     - Added --nostrip option to prevent binary stripping (requested by Fedora maintainer)

<...SNIP...>
Comment 6 Fedora Update System 2012-05-29 12:21:20 EDT
Package hydra-7.3-10.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hydra-7.3-10.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8573/hydra-7.3-10.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-06-06 22:55:01 EDT
hydra-7.3-10.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-06-06 22:55:29 EDT
hydra-7.3-10.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.